import requests
import json

#{'uuid': '0dc8ac69-74e3-4657-b590-d1efebc84594', 'status': 'wait', 'error': None, 'timestamp': '13.04.2021 14:43:07'}


class Atol:
    def __init__(self, token):
        self.token = token
        # Вызовы функций
        self.load_info()
        # self.get_token()

    def load_info(self):
        self.url = "https://online.atol.ru/possystem/v4/"
        self.group_id = 'jkhsakha-ru_3289'

    def get_headers(self):
        headers_dict = {
            "Content-type": "application/json",
            "charset": "utf-8",
            "Token": self.token, }
        return headers_dict

    def get_request(self, method, url, data):
        if method == "post":
            r = requests.post(self.url+url, data=json.dumps(data),
                              headers=self.get_headers())
        else:
            r = requests.get(self.url+url, headers=self.get_headers())
        r.encoding = "utf-8"
        return json.loads(r.text)

    def get_token(self):
        d = {"login": self.login, "pass": self.password}
        self.token, _, self.timestamp = self.get_request(
            "post", "getToken", d).values()
        print(self.token)

    def set_sell(self, reciept):
        s = self.get_request('post', self.group_id+'/sell', reciept)
        return s

    def get_reciepts(self, uuid):
        r = self.get_request('get', self.group_id+'/' + 'report/'+uuid, None)
        return r


if __name__ == "__main__":
    session1 = Atol()
    print(f"token = '{session1.token},\ntimestamp= '{session1.timestamp}'")
